=== debian/changelog ===
shim (15+1533136590.3beb971-7) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * debian/control: Update Vcs-* fields

  [ Steve McIntyre ]
  * Backport needed crash fixes:
    + VLogError(): Avoid NULL pointer dereferences in (V)Sprint calls
    + Fix OBJ_create() to tolerate a NULL sn and ln
  * Build using gcc-7 to get better control of reproducibility during the
    lifetime of Buster.
  * Build in a dbx list to blacklist binaries that we know to not be
    secure. Build-depend on a new (bug-fixed) version of pesign to
    generate that list at build time, using a list of known bad hashes.
  * Initial list of known bad hashes is just my personal test binary.

 -- Steve McIntyre <93sam@debian.org>  Wed, 08 May 2019 02:05:01 +0100

shim (15+1533136590.3beb971-6) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add Provides: and Breaks: to shim-helpers-$arch-signed to fix
    clashes with the old shim-signed package for fbx64.efi.signed and
    mmx64.efi.signed. Closes: #924619

  [ Helmut Grohne ]
  * Fix FTCBFS: Set CROSS_COMPILE. (Closes: #922152)

 -- Steve McIntyre <93sam@debian.org>  Sat, 23 Mar 2019 18:19:13 +0000

shim (15+1533136590.3beb971-5) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * Correct maintainer address in signing template

  [ Steve McIntyre ]
  * Remove Rules-Requires-Root in the signing template. We manually install
    things owned by root. There might be better ways to do this, but this
    will do for now.

 -- Steve McIntyre <93sam@debian.org>  Tue, 12 Mar 2019 01:38:19 +0000

shim (15+1533136590.3beb971-4) unstable; urgency=medium

  [ Steve McIntyre ]
  * No-change sourceful upload to get rebuilds (and hence build logs) from
    the buildds. Hoping to get this version signed by Microsoft, so let's
    make our setup as clean as possible.

 -- Steve McIntyre <93sam@debian.org>  Sat, 09 Mar 2019 22:24:23 +0000

shim (15+1533136590.3beb971-3) unstable; urgency=medium

  [ Philipp Hahn ]
  * debian/rules: fixing permissions no longer required
  * debian/rules: Disable ephemeral key on Debian.
  * Rename binary package to 'shim-unsigned'
  * Add template for signing {mm,fb}$ARCH.efi. (Closes: #922228)

  [ Luca Boccassi ]
  * Override lintian error about template rules file.
  * Include /usr/share/dpkg/architecture.mk instead of shelling out.
  * Add uname.patch to avoid embedding the kernel architecture in the
    binary and to use a fixed string instead.

  [ Steve McIntyre ]
  * Change maintenance address to be the EFI team
  * Add me and vorlon to the Uploaders list
  * Rename the helper binary packages to shim-helpers-$arch.
  * Update the signing-template JSON metadata to match new practice:
    + Move all the data under a new top-level "packages" key
    + Add an empty "trusted_certs" key - the helper binaries do not do any
      further verification with an embedded key.

 -- Steve McIntyre <93sam@debian.org>  Fri, 08 Mar 2019 21:59:43 +0000

shim (15+1533136590.3beb971-2) unstable; urgency=medium

  * Update debian/watch.
  * Update VCS to point to salsa.
  * Fix debian/rules syntax for arm64 build.
  * Enable build for i386.
  * Ensure DEB_HOST_ARCH is set even if not present in the environment.
  * Update Standards-Version.
  * Update debian/copyright (drop reference to file no longer in source)

 -- Steve Langasek <vorlon@debian.org>  Mon, 11 Feb 2019 05:18:18 +0000

shim (15+1533136590.3beb971-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches/second-stage-path: dropped; the default loader path now
      includes an arch suffix.
    - debian/patches/sbsigntool-no-pesign: dropped; no longer needed.
  * Drop remaining patches that were not being applied.
  * Sync packaging from Ubuntu:
    - debian/copyright: Update upstream source location.
    - debian/control: add a Build-Depends on libelf-dev.
    - Enable arm64 build.
    - debian/patches/fixup_git.patch: don't run git in clean; we're not
      really in a git tree.
    - debian/rules, debian/shim.install: use the upstream install target as
      intended, and move files to the target directory using dh_install.
    - define RELEASE and COMMIT_ID for the snapshot.
    - Set ENABLE_HTTPBOOT to enable the HTTP Boot feature.
    - Update dh_auto_build/dh_auto_clean/dh_auto_install for new upstream
      options: set MAKELEVEL.
    - Define an EFI_ARCH variable, and use that for paths to shim. This
      makes it possible to build a shim for other architectures than amd64.
    - Set EFIDIR=$distro for dh_auto_install; that will let files be installed
      in the "right" final directories, and makes boot.csv for us.
    - Set ENABLE_SHIM_CERT, to keep using ephemeral self-signed certs built
      at compile-time for MokManager and fallback.
    - Set ENABLE_SBSIGN, to use sbsign instead of pesign for signing fallback
      and MokManager.

 -- Steve Langasek <vorlon@debian.org>  Sat, 09 Feb 2019 07:23:19 +0000
