=== debian/changelog ===
shim (15+1552672080.a4a1fbe-0ubuntu2) focal; urgency=medium

  * d/patches/fix-path-checks.patch: Cherry-pick upstream fix for regression
    in loading fwupd, or anything else specified as an argument (LP: #1864223)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 20 Mar 2020 16:19:14 +0100

shim (15+1552672080.a4a1fbe-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot 15+1552672080.a4a1fbe.
  * debian/patches/VLogError-Avoid-NULL-pointer-dereferences-in-V-Sprin.patch,
    debian/patches/fixup_git.patch: drop patches included in upstream.
  * debian/patches/MokManager-avoid-unaligned.patch: Fix compilation with GCC9:
    avoid -Werror=address-of-packed-member errors in MokManager.
  * debian/patches/tpm-correctness-1.patch,
    debian/patches/tpm-correctness-2.patch: fix issues in TPM calls to ensure
    the measurements are consistent with what is entered in the TPM event log.
  * debian/patches/tpm-correctness-3.patch: Don't log duplicate identical
    TPM events.
  * debian/patches/MokManager-hidpi-support.patch: Do a little bit more to
    try to get a more usable screen resolution for MokManager when running on
    HiDPI screens; by trying to detect such cases and switching to mode 0.
  * debian/rules: update COMMIT_ID explicitly for this new snapshot.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 11 Oct 2019 16:32:32 -0400

shim (15+1533136590.3beb971-0ubuntu2) eoan; urgency=medium

  * debian/copyright: Update upstream source location.
  * d/p/VLogError-Avoid-NULL-pointer-dereferences-in-V-Sprin.patch: Fix
    NULL pointer dereferences that lead to an exception error on arm64.
    (LP: #1811722)
  * d/p/Fix-OBJ_create-to-tolerate-a-NULL-sn-and-ln.patch: Fix NULL
    pointer dereference when calling OBJ_create() that leads to an
    exception error on arm64. (LP: #1811901)
  * debian/rules: Fix syntax of else statement when setting EFI_ARCH.

 -- dann frazier <dannf@ubuntu.com>  Tue, 30 Apr 2019 12:45:02 -0600

shim (15+1533136590.3beb971-0ubuntu1) cosmic; urgency=medium

  [ Steve Langasek ]
  * Fix Vcs link.

  [ dann frazier ]
  * Enable arm64 build.

  [ Mathieu Trudel-Lapierre ]
  * New upstream snapshot.
  * debian/patches/abort_abort_abort.patch: dropped patch, included upstream.
  * debian/rules:
    - define RELEASE and COMMIT_ID for the snapshot.
    - Set ENABLE_HTTPBOOT to enable the HTTP Boot feature.
  * debian/patches/fixup_git.patch: don't run git in clean; we're not really
    in a git tree.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Wed, 22 Aug 2018 10:52:10 -0400
